FreeHDL-LIBTOOL(1)

NAME
FreeHDL-LIBTOOL - Linker script for the VHDL compiler/simulator FreeHDL.

SYNOPSIS
freehdl-libtool [OPTION]... [MODE-ARG]...

DESCRIPTION
The script provides generalized library-building support services. FreeHDL-LIBTOOL is used by the gvhdl program to link object files produced by the C++ compiler and (optionally) additional libraries (e.g. ieee) into a executable using the command line `freehdl-libtool --quiet --mode=link [OPTION]`. Usually the user is not confronted with the use of this script, but it is necessary when writing a replacement script for the gvhdl program.

OPTIONS

--config
    show all configuration variables

--debug
    enable verbose shell tracing

-n, --dry-run
    display commands without modifying any files

--features
    display basic configuration information and exit

--finish
    same as `--mode=finish'

--help
    display this help message and exit

--mode=MODE
    use operation mode MODE [default=inferred from MODE-ARGS]

--quiet
    same as `--silent'

--silent
    don't print informational messages

--tag=TAG
    use configuration variables from tag TAG

--version
    print version information

MODE must be one of the following:

clean
    remove files from the build directory

compile
    compile a source file into a libtool object

execute
    automatically set library path, then run a program

finish
    complete the installation of libtool libraries

install
    install libraries or executables

link
    create a library or an executable

uninstall
    remove libraries from an installed directory

MODE-ARGS vary depending on the MODE. Try `freehdl-libtool --help --mode=MODE' for a more detailed description of MODE.

REPORTING BUGS
Report bugs to <bug-libtool@gnu.org>.

COPYRIGHT
Copyright © 2003 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
gvhdl(1), freehdl-v2cc(1), freehdl-config(1), v2cc.libs(5)